
#include "stdafx.h"
#include "dkutilGetParam.h"
#include "dkutilBuffer.h"
#include "dkutilDefined.h"

#ifdef  USE_DKINGYO_PNG
#	include "dkutilPNG.h"
#endif

namespace dkutil{


int GetCompiledDKUTIL_STLPortVersion(){
#if defined(USE_DKINGYO_STLPORT) || defined(_STLPORT_VERSION)
	return _STLPORT_VERSION;
#else
	return edk_FAILED;
#endif
}

int GetCompiledDKUTIL_BoostVersion(){
	return BOOST_VERSION;
}

const char *GetCompiledDKUTIL_zlibVersionString(){
#ifdef USE_DKINGYO_PNG
	static char *s=ZLIB_VERSION;
#else
	static char *s="ERROR:GetCompiledDKUTIL_zlibVersionString";
#endif
	return s;

}
const char *GetCompiledDKUTIL_libpngVersionString(){
#ifdef USE_DKINGYO_PNG
	static char *s=PNG_LIBPNG_VER_STRING;
#else
	static char *s="ERROR:GetCompiledDKUTIL_libpngVersionString";
#endif
	return s;
}

int GetCompiledDKUTIL_libpngVersion(){
#ifdef USE_DKINGYO_PNG
	return PNG_LIBPNG_VER;
#else
	return edk_FAILED;
#endif
}


/*
const char *GetdKingyoUtilClassOriginalCopyright(bool flag,char *copy,size_t size)
{
	char *copyrightc="Copyright(C)";
	char *auther="d金魚 All rights reserved.";
	static std::string s;
	s=copyrightc;
	s+=__TIMESTAMP__;
	s+=auther;
	if(flag)
	{//true is copyright and thanks
		s+=" \n";
		s+=

	}



	return s.c_str();
}*/

namespace policy{
	// 読み出しモードで開く。ファイルがないか、見つからない場合は、エラー
	const char *f_readonly=	"r";
	// 書き込みモードで空のファイルを開く。指定されたファイルが既にあると、そのファイルは消滅する。 
	const char *f_writeonly="w";
	//  EOF マーカーを削除せずに、ファイルに追記ができます。ファイルがない場合は作成します。
	const char *f_postscriptonly="a";
	// 読みこみと書き込みの両方のモードで開く。 (対象は既存ファイル)
	const char *f_read="r+";  
	//読みこみと書き込みの両方のモードで空のファイルを開く。指定されたファイルが既にあると、そのファイルは消滅する。
	const char *f_write="w+";
  //追記モードで読みこみと書き込みの両方のモードで開く。ファイルがない場合は作成します
  const char *f_postscript="a+";
	
	const char *f_binary="b";
	//テキストモードで開く。
	const char *f_text="t";
}//end of policy namespace


}//end of include once